# Query Loan Statement Summaries Return a paginated list of matching loan statement summaries. Endpoint: GET /loans/statements Version: 3.0 Security: Enterprise API Key | Marketplace API Key | Merchant Secret Token | Admin JWT | Merchant JWT | Marketplace JWT | Customer JWT ## Query parameters: - `limit` (integer) Maximum results per page. Default to 20, must be between 1 and 500. - `page` (integer) Page number of results to show (starting at page 1). - `sort` (string) Comma-delimited list of fields to sort by with sort priority from first to last. Fields are sorted by their natural ordering unless prefixed with a - character. - `loanId` (array) Filter by loan system identifiers. - `loanStatementId` (array) Filter by loan statement system identifier - `referenceStatementId` (array) Filter by reference statement identifier - `merchantId` (string) Filter by merchant identifier - `customerId` (array) Filter by customer identifier - `currency` (string, required) Filter by currency Example: "AUD" - `createdFromInclusive` (string) Return loan activity that was created at or after this timestamp in ISO-8601 format Example: "2026-02-26T03:26:16.451391677Z" - `createdToExclusive` (string) Return loan activity that were created before this timestamp in ISO-8601 format - `dueOnFromInclusive` (string) Return loan activity that is due on or after this date in ISO-8601 format. Example: "2026-02-26" - `dueOnToInclusive` (string) Return loan activity that is due on or before this date in ISO-8601 format. ## Response 200 fields (application/json): - `loanStatementId` (string, required) The system identifier of the loan statement. - `referenceStatementId` (string, required) Unique identifier visible to the customer for the loan statement. - `loanId` (string, required) The system identifier for the loan - `referenceLoanId` (string) A reference provided by the applicant to identify this loan. - `loanAccountName` (string, required) Account name associated with the loan - `loanProductType` (string) Enum: "TradingAccount" - `loanMetadata` (object) Metadata associated with this loan, if any - `loanTimeZone` (string, required) Timezone of loan used to determine statement time windows and for reporting. - `customerId` (string) The customer system identifier in scope for the given loan, if any - `referenceCustomerId` (string) A reference provided by the merchant to identify this customer. - `customerName` (string) The name of the customer in scope for the given loan, if any - `customerTaxId` (string) The tax id for organisational customers, if any - `customerMetadata` (object) Metadata associated with this organisational customer, if any - `customerAddress` (object) Business address associated with this organisational customer, if any - `customerAddress.unitNumber` (string) The address unit number - `customerAddress.streetNumber` (string, required) The address street number - `customerAddress.streetName` (string, required) The address street name - `customerAddress.streetType` (string) The address street type, eg Street or Road – not mandatory because 12 The Esplanade - `customerAddress.suburb` (string) The address suburb - `customerAddress.city` (string) The address city - `customerAddress.postalCode` (string, required) The address postal code. Should be digits between 4 and 10 characters long. - `customerAddress.state` (string) The address state - `customerAddress.country` (string, required) The address country Enum: "AU", "HK", "NZ", "SG", "ZA", "US" - `billerName` (string, required) Legal name of the company issuing the loan statement - `billerTaxId` (string, required) Tax id of the company issuing the loan statement - `billerAddress` (object, required) Address of the company issuing the loan statement - `billerSupportEmailAddress` (string) Support email address for the company issuing the loan statement - `billerPhoneNumber` (string, required) Phone number for the company issuing the loan statement - `borrowerMerchantId` (string, required) The merchant in scope for the given loan - `statementStartDate` (string, required) The first day of loan entries included in the loan statement. - `statementStartAt` (string, required) The start of the first day of loan entries included in the loan statement. - `statementEndDate` (string, required) The last day of loan entries included in the loan statement. - `statementEndAt` (string, required) The end of the last day of loan entries included in the loan statement. - `billingDate` (string, required) When was the loan statement issued. - `dueDate` (string, required) When is repayment due for this statement. - `settlementCurrency` (string, required) The currency used in this statement - `netAmount` (integer, required) Sum of all non-insurance entries, before tax, in minor currency units. - `insuranceAmount` (integer, required) Sum of all insurance entries, before tax, in minor currency units. - `taxAmount` (integer, required) Sum of tax amount over all entries, in minor currency units. - `billedAmount` (integer, required) Total amount due on the statement (excluding late fees), in minor currency units. - `paidAmount` (integer, required) How much has already been paid towards this statement, in minor currency units. - `feeAmount` (integer, required) Total fees included in this statement (excluding late fees), in minor currency units. - `lateFeeAmount` (integer, required) Amount owed due to late fees, in minor currency units. - `lateFeeLineItem` (object) Amount owed due to late fees, in minor currency units. - `lateFeeLineItem.entryType` (string, required) The type of the statement line item Enum: "Charge", "Refund", "Dispute", "DisputeFee", "Insurance", "AnnualFee", "ImplementationFee", "StatementReissueFee", "CurrencyConversionFee", "InternationalProcessingFee", "TransactionFee", "HotelEnrichmentFee", "PremiumAccountFee", "LatePaymentReminderFee", "LatePaymentFee", "BankFee", "ThirdPartyServiceFee", "ManualAdjustment" - `lateFeeLineItem.description` (string, required) Description of the statement line item - `lateFeeLineItem.netAmount` (integer, required) Amount before tax in minor currency units - `lateFeeLineItem.taxAmount` (integer, required) Tax amount in minor currency units - `lateFeeLineItem.totalAmount` (integer, required) Total amount including tax in minor currency units - `lateFeeLineItem.taxRate` (number) The tax rate applied to the line item represented as a rate. For instance, 0.1 represents 10% tax. - `lateFeeLineItem.taxType` (string) Name for the tax being applied. - `lateFeeLineItem.originalAmount` (object, required) If the transaction was received in a currency other than the settlement currency, this includes details of how it was converted. - `lateFeeLineItem.originalAmount.sourceAmount` (number, required) Gross amount in major units of source currency. - `lateFeeLineItem.originalAmount.sourceTaxAmount` (number) Tax amount in major units of source currency. - `lateFeeLineItem.originalAmount.sourceNetAmount` (number) Net amount in major units of source currency. - `lateFeeLineItem.originalAmount.sourceCurrency` (string, required) Original currency the entry was specified in. - `lateFeeLineItem.originalAmount.targetAmount` (number) Gross amount in major units of target currency. - `lateFeeLineItem.originalAmount.targetTaxAmount` (number) Tax amount in major units of target currency. - `lateFeeLineItem.originalAmount.targetNetAmount` (number) Net amount in major units of target currency. - `lateFeeLineItem.originalAmount.targetCurrency` (string) Currency to convert into. - `lateFeeLineItem.originalAmount.exchangeRate` (number, required) The rate to convert one unit of source currency to the target currency. - `lateFeeLineItem.originalAmount.rateUpdatedAt` (string, required) When the exchange rate was set. - `outstandingAmount` (integer, required) Total amount remaining to be paid against this statement including late fees, in minor currency units. - `paymentEvents` (array) Events related to the payment of this statement. - `status` (string, required) Status of the repayment of this loan statement. Enum: "draft", "outstanding", "due", "overdue", "paid", "cancelled" - `totalEntryCount` (integer, required) Total number of entries in the loan statement. - `createdAt` (string, required) When the statement was created. ## Response 400 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 401 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 403 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 404 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 405 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 406 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 409 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 422 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 429 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 500 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 503 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata